#include <gamekit.h>
#include <avr/pgmspace.h>

/*
to load a image it has to be "drawn" at first

The declaration begins always with:

uint8_t name[5][7] PROGMEM = {

then a list of brightness values (or values assigned to pixelfunctions) follows.
It is smart, but not necessary, to align the rows for better readability.

note: avr/pgmspace.h must be included with the line:
#include <avr/pgmspace.h>

To load the image to the display simply type:
gamekit.load_image( image_name );



some more information:
The datatype of the image is a two dimensional array.
The "PROGMEM" tells the compiler to put these array in flash (PROGMEM = programm memory)
This is done to save RAM.
*/

uint8_t image[5][7] PROGMEM = {
  0 ,4 ,7 ,0 ,4 ,7 ,0 ,
  0 ,7 ,15,0 ,7 ,15,0 ,
  0 ,0 ,0 ,0 ,0 ,0 ,0 ,
  0 ,8 ,0 ,0 ,0 ,8 ,0 ,
  0 ,0 ,12,15,12,0 ,0 ,
};

void setup(){
  gamekit.Begin();

  Serial.begin(9600);
  Serial.println("begin");

  gamekit.load_image( image );
}


void loop(){

}
