#include <gamekit_2_1.h>
#include <avr/pgmspace.h>

uint8_t img_up[5][7] PROGMEM ={
	0 ,0 ,0 ,0 ,0 ,0 ,0 ,
	0 ,0 ,0 ,15,0 ,0 ,0 ,
	0 ,0 ,15,15,15,0 ,0 ,
	0 ,15,15,15,15,15,0 ,
	0 ,0 ,0 ,0 ,0 ,0 ,0 
	};

uint8_t img_right[5][7] PROGMEM ={
	0 ,0 ,15,0 ,0 ,0 ,0 ,
	0 ,0 ,15,15,0 ,0 ,0 ,
	0 ,0 ,15,15,15,0 ,0 ,
	0 ,0 ,15,15,0 ,0 ,0 ,
	0 ,0 ,15,0 ,0 ,0 ,0 
	};
	
uint8_t img_left[5][7] PROGMEM ={
	0 ,0 ,0 ,0 ,15,0 ,0 ,
	0 ,0 ,0 ,15,15,0 ,0 ,
	0 ,0 ,15,15,15,0 ,0 ,
	0 ,0 ,0 ,15,15,0 ,0 ,
	0 ,0 ,0 ,0 ,15,0 ,0 
	};

uint8_t img_funcb[5][7] PROGMEM ={
	0 ,0 ,15,15,15,0 ,0 ,
	0 ,0 ,15,0 ,0 ,15,0 ,
	0 ,0 ,15,15,15,0 ,0 ,
	0 ,0 ,15,0 ,0 ,15,0 ,
	0 ,0 ,15,15,15,0 ,0 
	};
	
uint8_t img_funca[5][7] PROGMEM ={
	0 ,0 ,0 ,15,0 ,0 ,0 ,
	0 ,0 ,15,0 ,15,0 ,0 ,
	0 ,0 ,15,0 ,15,0 ,0 ,
	0 ,15,15,15,15,15,0 ,
	0 ,15,0 ,0 ,0 ,15,0 
	};
	
uint8_t img_down[5][7] PROGMEM ={
	0 ,0 ,0 ,0 ,0 ,0 ,0 ,
	0 ,15,15,15,15,15,0 ,
	0 ,0 ,15,15,15,0 ,0 ,
	0 ,0 ,0 ,15,0 ,0 ,0 ,
	0 ,0 ,0 ,0 ,0 ,0 ,0 
	};

uint8_t img_empty[5][7] PROGMEM ={
	0 ,0 ,0 ,0 ,0 ,0 ,0 ,
	0 ,0 ,0 ,0 ,0 ,0 ,0 ,
	0 ,0 ,0 ,0 ,0 ,0 ,0 ,
	0 ,0 ,0 ,0 ,0 ,0 ,0 ,
	0 ,0 ,0 ,0 ,0 ,0 ,0 
	};



/*
The button_pressed(button) function returns "true" when the button "button" is pressed and a "series" of trues as long a the butten is held down.
The delay between two trues can be set with the set_button_timing function. The delay between the first two trues can be set independent from the common delay.

illustration:

button:

released   |----|                                     |---------|
           |    |                                     |         |
           |    |                                     |         |
held down  |    |-------------------------------------|         |--------------------
           ----------------------------------------------------------------------------

result of button_pressed function:

false      |----|  |-------|  |---|  |---|  |---|  |------------|  |-------|  |---|
           |    |  |       |  |   |  |   |  |   |  |            |  |       |  |   |
           |    |<=|======>|  |   |<=|==>|  |   |  |            |  |       |  |   |
true       |    |--|       |--|   |--|   |--|   |--|            |--|       |--|   |--
           ----------------------------------------------------------------------------
                   first           common
                   delay           delay

To set the delay use set_button_timing like this:

gamekit.button_pressed(first delay, common_delay);

This is, for exaple, very useful in games where you walk or so...

Note: to make this work you have to call the button_pressed repeatedly, for example in a loop _and_ at just one position.
_not_ like this:

while(true)
{
    if(gamekit.button_pressed(butt_UP))
    {
    //do something
    };
    
    //some code
    
    if(gamekit.button_pressed(butt_UP))
    {
    //do another thing
    };
}

*/



void setup(){
  gamekit.Begin();
  gamekit.set_button_timing(50,20);
}

void loop(){

    if(gamekit.button_pressed(butt_UP))
    {
      gamekit.load_image( img_up );
      delay(100);
      gamekit.load_image( img_empty );
    };
    
    if(gamekit.button_pressed(butt_DOWN))
    {
      gamekit.load_image( img_down );
      delay(100);
      gamekit.load_image( img_empty );
    };
    
    if(gamekit.button_pressed(butt_LEFT))
    {
      gamekit.load_image( img_left );
      delay(100);
      gamekit.load_image( img_empty );
    };
    
    if(gamekit.button_pressed(butt_RIGHT))
    {
      gamekit.load_image( img_right );
      delay(100);
      gamekit.load_image( img_empty );
    };
    
    if(gamekit.button_pressed(butt_FUNCA))
    {
      gamekit.load_image( img_funca );
      delay(100);
      gamekit.load_image( img_empty );
    };
    
    if(gamekit.button_pressed(butt_FUNCB))
    {
      gamekit.load_image( img_funcb );
      delay(100);
      gamekit.load_image( img_empty );
    };


}
